---
title: name
slug: Web/SVG/Attribute/name
tags:
  - Deprecated
  - SVG
  - SVG Attribute
---
<div>{{SVGRef}}{{deprecated_header("SVG 2")}}</div>

<p>The <code><strong>name</strong></code> attribute specifies either the name of a color profile or a font face.</p>

<p>Two elements are using this attribute: {{SVGElement("color-profile")}} and {{SVGElement("font-face-name")}}</p>

<h2 id="color-profile">color-profile</h2>

<p>For {{SVGElement("color-profile")}}, <code>name</code> defines the name of the color profile.</p>

<table class="properties">
 <tbody>
  <tr>
   <th scope="row">Value</th>
   <td><code>&lt;name&gt;</code></td>
  </tr>
  <tr>
   <th scope="row">Default value</th>
   <td><em>None</em></td>
  </tr>
  <tr>
   <th scope="row">Animatable</th>
   <td>Yes</td>
  </tr>
 </tbody>
</table>

<dl>
 <dt><code>&lt;name&gt;</code></dt>
 <dd>
 <p>This value is the name which is used as the first parameter for ICC color specifications within {{SVGAttr("fill")}}, {{SVGAttr("stroke")}}, {{SVGAttr("stop-color")}}, {{SVGAttr("flood-color")}} and {{SVGAttr("lighting-color")}} property values to identify the color profile to use for the ICC color specification and the name which can be the value of the {{SVGAttr("color-profile")}} property.</p>

 <div class="notecard note">
 <p><strong>Note:</strong> If no name is provided, it will be impossible to reference the given color profile description. The name "sRGB" is predefined; any color profile descriptions with <code>&lt;name&gt;</code> set to "sRGB" (case-insensitively) will be ignored.</p>
 </div>
 </dd>
</dl>

<h2 id="font-face-name">font-face-name</h2>

<p>For {{SVGElement("font-face-name")}}, <code>name</code> defines the name of the font face.</p>

<table class="properties">
 <tbody>
  <tr>
   <th scope="row">Value</th>
   <td><code>&lt;name&gt;</code></td>
  </tr>
  <tr>
   <th scope="row">Default value</th>
   <td><em>None</em></td>
  </tr>
  <tr>
   <th scope="row">Animatable</th>
   <td>Yes</td>
  </tr>
 </tbody>
</table>

<dl>
 <dt><code>&lt;name&gt;</code></dt>
 <dd>This value specifies the name of a local font. Unlike the syntax allowed between the parentheses of the <code>local(…)</code> clause in an <a href="/en-US/docs/Web/CSS/@font-face/src"><code>@font-face</code> rule <code>src</code></a> descriptor, the font name specified in this attribute is not surrounded in single or double quotes.</dd>
</dl>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName("SVG1.1", "fonts.html#FontFaceNameElementNameAttribute", "name for &lt;font-face-name&gt;")}}</td>
   <td>{{Spec2("SVG1.1")}}</td>
   <td>Initial definition for <code>&lt;font-face-name&gt;</code></td>
  </tr>
  <tr>
   <td>{{SpecName("SVG1.1", "color.html#ColorProfileElementNameAttribute", "name for &lt;color-profile&gt;")}}</td>
   <td>{{Spec2("SVG1.1")}}</td>
   <td>Initial definition for <code>&lt;color-profile&gt;</code></td>
  </tr>
 </tbody>
</table>
